Closed Bug 407559 Opened 12 years ago Closed 12 years ago

Allow XUL apps launched with Firefox to override name & vendor

Categories

(Toolkit Graveyard :: XULRunner, defect)

defect
Not set

Tracking

(Not tracked)

RESOLVED FIXED
mozilla1.9beta3

People

(Reporter: mfinkle, Assigned: mfinkle)

Details

Attachments

(1 file, 1 obsolete file)

This is a follow on from bug 404134 which address launching XUL apps from xulrunner and xulrunner-stub. Since Firefox can also launch XUL apps, we should support the override behavior there too.
Attachment #292283 - Flags: review?(benjamin)
Assignee: nobody → mark.finkle
Comment on attachment 292283 [details] [diff] [review]
adds support for overriding parts of application.ini when launching a XUL app from Firefox

mfinkle, can we just move the "-override" flag handling into XRE_main, so that all apps get it by default?
Attachment #292283 - Flags: review?(benjamin)
This patch centralizes the override handling into XRE_main and removes the override handling added to nsXULStub.cpp and nsXULRunnerApp.cpp that was added in bug 404134.
Attachment #292283 - Attachment is obsolete: true
Attachment #292637 - Flags: review?(benjamin)
Attachment #292637 - Flags: review?(benjamin) → review+
Attachment #292637 - Flags: approval1.9?
Attachment #292637 - Flags: approval1.9? → approval1.9+
Checking in toolkit/xre/nsAppRunner.cpp;
/cvsroot/mozilla/toolkit/xre/nsAppRunner.cpp,v  <--  nsAppRunner.cpp
new revision: 1.201; previous revision: 1.200
done
Checking in xulrunner/app/nsXULRunnerApp.cpp;
/cvsroot/mozilla/xulrunner/app/nsXULRunnerApp.cpp,v  <--  nsXULRunnerApp.cpp
new revision: 1.38; previous revision: 1.37
done
Checking in xulrunner/stub/nsXULStub.cpp;
/cvsroot/mozilla/xulrunner/stub/nsXULStub.cpp,v  <--  nsXULStub.cpp
new revision: 1.12; previous revision: 1.11
done
Status: NEW → RESOLVED
Closed: 12 years ago
Keywords: checkin-needed
OS: Windows XP → All
Hardware: PC → All
Resolution: --- → FIXED
Target Milestone: --- → mozilla1.9 M11
Hello guys,

There is a problem with application.ini since Firefox/Thunderbird 11 and SeaMonkey 2.8.

Can you read : https://bugzilla.mozilla.org/show_bug.cgi?id=723493 and resolve this bug?

I would like to use new versions.
Product: Toolkit → Toolkit Graveyard
You need to log in before you can comment on or make changes to this bug.